Method: projects.locations.spaces.applicationTemplates.import

Imports to an existing application template from a given shared template.

HTTP request

POST https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:import

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application template.

Request body

The request body contains data with the following structure:

JSON representation
{
  "annotations": {
    string: string,
    ...
  },

  // Union field source can be only one of the following:
  "applicationTemplateRevisionUri": string,
  "sharedTemplateRevisionUri": string,
  "serializedApplicationTemplate": {
    object (SerializedApplicationTemplate)
  },
  "applicationTemplateSystemRevision": string
  // End of list of possible types for union field source.
}
Fields
annotations

map (key: string, value: string)

Optional. Annotations to be stored with the new system revision created as a result of this import. Sample annotations from agentic workflows might look like { "designcenter.googleapis.com/agent_id": "gemini-3-flash-v1", "designcenter.googleapis.com/llm_agent_summary": "Restored to revision Rev-100", "designcenter.googleapis.com/external_ref_id": "trace-uuid-88921-xyz", }

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Union field source. The source for setting application template components/connections. source can be only one of the following:
applicationTemplateRevisionUri

string

Optional. The source URI for application template revision.

sharedTemplateRevisionUri

string

Optional. The source URI for catalog template.

serializedApplicationTemplate

object (SerializedApplicationTemplate)

Optional. The serialized application template to be imported.

applicationTemplateSystemRevision

string

Optional. The system revision to be imported. Used when user tries to Restore (rev X) or perform Undo/Redo operations.

Response body

If successful, the response body contains an instance of ApplicationTemplate.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applicationTemplates.update

For more information, see the IAM documentation.